//=========================================================
//  MusE
//  Linux Music Editor
//  $Id: editinstrument.h,v 1.1.1.1 2003/10/27 18:54:20 wschweer Exp $
//
//  (C) Copyright 2003 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __EDITINSTRUMENT_H__
#define __EDITINSTRUMENT_H__

#include "editinstrumentbase.h"

//---------------------------------------------------------
//   EditInstrument
//---------------------------------------------------------

class EditInstrument : public EditInstrumentBase {
    Q_OBJECT

   private slots:
      virtual void fileNew();
      virtual void fileOpen();
      virtual void fileSave();
      virtual void fileSaveAs();
      virtual void fileExit();
      void instrumentChanged();

   public:
      EditInstrument(QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel);
      };

#endif

